unit uFacturasClienteViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uEditorFacturasCliente, uEditorFacturaCliente,
  uEditorFacturasClienteReport, uEditorElegirArticulosFacturaCliente,
  uEditorElegirFacturasCliente;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorFacturasCliente, 'EditorFacturasCliente');
  EditorRegistry.RegisterClass(TfEditorFacturaCliente, 'EditorFacturaCliente');
  EditorRegistry.RegisterClass(TfEditorElegirArticulosFacturaCliente, 'EditorElegirArticulosFacturaCliente');
  EditorRegistry.RegisterClass(TfEditorElegirFacturasCliente, 'EditorElegirFacturasCliente');
  EditorRegistry.RegisterClass(TfEditorFacturasClientePreview, 'EditorFacturasClientePreview');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorFacturasCliente);
  EditorRegistry.UnRegisterClass(TfEditorFacturaCliente);
  EditorRegistry.UnRegisterClass(TfEditorElegirArticulosFacturaCliente);
  EditorRegistry.UnRegisterClass(TfEditorElegirFacturasCliente);  
  EditorRegistry.UnRegisterClass(TfEditorFacturasClientePreview);
end;

end.
